---
abstract: |
  A text about the failings of digital education and "copy protection".  In
  Danish.
lastupdated: 2011-03
---

# Digital sikring mod gennemførsel af eksamen en realitet

*2011.*

Jeg sendte denne besked til Undervisningsministeriet som så fortalte mig at de
skam nok var i gang med at gøre det nemmere for "Linus"..

Sendt 8. marts 2011. Se også
[Stadig digital sikring mod gennemførsel af eksamen](stadig-digital-sikring).

At gennemføre en skriftlig eksamen som elev på en gymnasial uddannelse er ikke
nemt efter Undervisningsministeriet har indført låse uden nøgler på udleverede
cd'er. Problemet bag er dog meget dybere: Digitaliseringen er fejlet.

Jeg går på htx (teknisk gymnasium) på 3. og sidste år.[^nomore] For ikke lang
tid siden var jeg til skriftlig terminsprøve i engelsk A hvor terminsprøven var
en kopi af eksamen fra juni 2010. Som elev er man ofte lidt nervøs før man skal
op til en eksamen. Har man forberedt sig godt nok? Har man glemt noget? Derfor
er det vigtigt for eleverne at eksamenen — eller her terminsprøven — er med så
få problemer som muligt, helst ingen overhovedet. Spild af tid kan være
frustrerende for alle parter.

En eksamen eller terminsprøve i skriftligt engelsk består af to dele: en
grammatikdel, hvor man i en time sidder og løser opgaver i hånden, og en
stildel, hvor man har fire timer foran sin egen bærbare computer til at læse et
oplæg, læse baggrundsmateriale, se et par korte videoklip der følger med og så
skrive stilen. Alt materialet til stilen får man udleveret på en cd. At skrive
i hånden i en time kan vi — trods alt — godt formå, men man skulle tro at den
anden del, hvor vi bruger vores egen computer, skulle være nemmere for os da
mange af os er vant til at skrive på computer. Imidlertid har
Undervisningsministeriet valgt at indføre meningsløse begrænsninger der gjorde
at jeg skulle vente 35 minutter på at få oplægget og
baggrundsmaterialet. Grunden hertil var at cd'erne var kopisikrede på en sådan
måde at et af styresystemerne Microsoft Windows eller Apple Mac OS X var
krævet. Jeg bruger imidlertid et andet styresystem, kaldt GNU/Linux. Dette er
et frit system hvor det er brugeren der styrer computeren, og ikke computeren
der styrer brugeren, som det er tilfældet i fx Microsofts produkter og Apples
produkter — mere om det senere. Hovedsagen her var at jeg var nødt til at vente
til en af skolens it-hjælpere brød kopisikringen på en Windows-computer og gav
mig filerne i deres rå form på en usb-nøgle, så min computer kunne læse
dem. Problemet med cd'en var at vigtige dokumenter, såsom oplægget, var gemt i
et filsystem jeg ikke havde adgang til grundet mit bevidste valg om ikke at
bruge hverken Windows eller Mac.

Da vi fik udleveret cd'erne, stod der rigtigt nok på dem at de kun virkede på
Windows og Mac. Jeg har siden været inde på Undervisningsministeriets
hjemmeside (se uvm.dk/Uddannelse/Gymnasiale uddannelser/Proever og
eksamen/Tekniske specifikationer.aspx), og det viser sig at dette fortsætter i
samme linje, bare værre. Kravene til skriftlig eksamen i fysik A i foråret 2011
er mere eller mindre de samme som til engelsk A, men i fysik skal man også have
software installeret der understøtter Word 2003- og Excel 2003-filer. Begge
disse type computerfiler fra Microsoft er i formater hvis specifikationer ikke
er tilgængelige, og det er derfor endnu ikke lykkedes at få fuld support for
formaterne i programmer der ikke har været inde over Microsoft. Man vil altså
være tvunget til at bruge en variant af programmerne fra Microsoft Office for
at læse filerne fuldstændigt hvilket hverken er muligt eller ønsket når man er
bruger af et frit system. Desuden — og dette er ret så relevant — følger
Undervisningsministeriet her ikke nogen af de to obligatoriske standarder for
dokumentudveksling som alle offentlige myndigheder har skullet bruge
siden 2008. Pjecen "Sådan anvender du åbne standarder for software i det
offentlige" fra IT- og Telestyrelsen forklarer ellers disse standarder ret
tydeligt. Måske har Undervisningsministeriet indkøbt deres it-løsning
før 1. januar 2008, så de ikke er tvunget til at bruge de nye standarder, men
at bruge et 8 år gammelt programafhængigt dokumentformat, når et et
standardiseret et, som nemt kan læses af alle styresystemer, har været
anbefalet i over 3 år, burde ikke være acceptabelt. Undervisningsministeriet
har ikke fået nok undervisning.

Jeg har ikke fysik A, men en fra min klasse der kører GNU/Linux ligesom mig
har, og hvis han skal op til eksamen til maj, kan han risikere ikke fuldt ud at
kunne læse opgaven — ikke kun fordi cd'en er kopibeskyttet, men også fordi
filerne kun kan læses helt korrekt af Microsoftrelaterede
programmer. Programmer, mange mennesker over hele verden har valgt ikke at
bruge af moralske årsager.

Men hvad er alt dette softwarefrihed for noget? Nogen vil måske tænke at jeg jo
bare kunne skifte til Mac eller Windows og derefter installere alle de
computerprogrammer folk ville have jeg skulle installere. Dette er dog ikke en
holdbar løsning. Faktisk kommer problemet med de kopisikrede cd'er og de uåbne
formater fra noget meget dybere, noget meget værre og noget virkeligt udbredt:
proprietær software. Proprietær software er software som kun ophavsretholderen
bestemmer over, dvs. brugeren er begrænset af licensaftaler. Disse aftaler er
forskellige, men fælles er at man sjældent har mange softwarelaterede
rettigheder tilbage når man har sagt ok til en sådan aftale. Hvis man bruger
proprietær software, har man ikke kontrol over de programmer man kører, over
selve brugen af ens computer. Menneskerne der står bag programmet har
kontrol. Og de bruger den kontrol.

Mange kan nok huske skandalen med e-bookreaderen Kindle (i visse kredse nu
kaldt "Swindle") hvor flere mennesker fik slettet bogen "1984" som de havde
købt. Dette kunne ske fordi styresystemet på Swindlen er proprietært og altså
ikke bliver styret af brugerne af det. Efter en retssag sagde Amazon.com, dem
bag sletningen, ok til i fremtiden kun at slette bøger under særlige
omstændigheder. Hvis dette ikke var uhyggeligt, ville det være grinagtigt: at
der skal en retssag til før en virksomhed vælger ikke at slette bøger fra
elektroniske dimser via internettet. Men sådan er proprietær software:
utilregneligt og ubrugeligt.

Der er mange andre eksempler på proprietær software: Microsoft Windows sender
uforklarede beskeder til Microsoft en gang imellem, Adobe Photoshop kører kun
hvis man har indtastet en speciel nøgle, Facebook indsamler data, censurerer
noget, giver andet videre til annoncører, og har fuld mulighed for at gøre mere
med dataen, hvilket de nok også gør, og i Apples iPhone og iPad (i
"Swindle"-kredsene kaldt "iBad") er det Apple — og ikke forbrugeren — der
bestemmer hvilke programmer der må gøres tilgængelige og installeres. I alle
tilfælde handler det om kontrol. Virksomhederne, grupperne eller
enkeltpersonerne bag ønsker så meget magt som muligt, for de vil tjene mange
penge.

Som computerbruger er man nødt til på et tidspunkt at tænke over hvad der er
vigtigst: softwareejernes velvære eller samfundets digitale frihed. For et par
år siden valgte jeg friheden fremfor fængslet og skiftede altså til
GNU/Linux. Mange før mig havde gjort dette, så det var nemt at komme i gang med
mit nye system på min computer. Det er nemt nok til at mine 50+-forældre kan
finde ud af det. Kernen i frie systemer såsom GNU/Linux er fri software. Fri
software er software der gør brugeren fri vha. disse fire friheder:

   1. Friheden til at køre programmet for et hvilket som helst formål
   2. Friheden til at studere programmet og ændre i det. Kildekoden til
      programmet skal være tilgængelig for at dette er muligt
   3. Friheden til at dele programmet med alle
   4. Friheden til at ændre i programmet og dele ens ændringer

Fri software er altså det præcist modsatte af proprietært software. Her er
brugeren den vigtigste, for det er brugeren der skal køre programmet. Tilsammen
sørger de fire friheder, oprindeligt defineret i sammenhæng med begyndelsen af
organiseret udvikling af fri software i midten af 1980'erne, for at ens
computer ikke misbruger ens data og ikke begrænser adgangen til og brugen af
ens data. Fri software handler ikke om styrken af det tekniske kodestads der
ligger bag programmet. Det handler om friheden forbundet med det. I mange
tilfælde er fri software dog virkeligt funktionelt, og fx kører langt de fleste
hjemmesider netop på fri software. Det fungerer.

Nogen vil måske opfatte nogle eller alle af de fire friheder for
irrelevante. Men går man gennem dem trin for trin, giver de god mening. Først
og fremmest: det giver ingen mening at have et program hvis skaber(e) har
bestemt du ikke må køre. Det er en bunke bytes som ikke kan fås til at bevæge
sig. Her vil nogen måske proteste med henblik på økonomi og påstå at det er
nødvendigt at begrænse ens brug af et program indtil man har købt en unik
nøgle, for at virksomheden bag kan tjene penge og udvikle nyt software. Dette
argument leder tråden væk fra hovedproblemet, nemlig at man skal kunne
kontrollere hvad der sker på ens egen computer. Det er dog sandt at det er
nemmere at tjene store penge ved at tvinge dem ud af folk — hvilket er det
kommercielt proprietær software gør — end ved at bede folk om dem. Der er
imidlertid intet galt med fri kommerciel software. Det er betydeligt sværere at
blive softwaremilliardær når man sælger fri software istedet for proprietær
software, men økonomiske modeller der respekterer softwarefrihed eksisterer
skam: man kan fx yde support eller lave skræddersyede løsninger. At have
kontrol nok over et program til at kunne køre det bør altså være et must, lige
meget om man går op i penge eller ej.

Det giver heller ingen mening at have et program man ikke må dele. Det er
gavnende at dele, og dette gælder især for software. Software er noget man
bruger, noget der gør ikke-trivielle ting trivielle, så man kan fokusere på
andre, mere interessante ting. Og hvis ens ven har brug for at kunne gøre noget
på sin computer, og man har et program der kan gøre netop det, så ville det
være mærkeligt ikke at dele programmet med vennen. Programmet er immaterielt,
og man mister det ikke ved at dele det. Alt er bare kopier. Mange store
virksomheder har i lang tid spredt propaganda om at man er en "pirat" hvis man
deler software. Pladeselskaberne er med på denne magtjagt, men for dem handler
det om kulturelle værker. For folk der deler betyder det dog ikke så meget hvem
der står bag propagandaen. Det vigtigste er at protestere mod den og ikke
begynde at tro på den. Hvis man ikke må dele et program, må man lade være med
at bruge det. Folk der producerer fri software ønsker at folk kopierer fri
software til venner, bekendte og fremmede.

Selv hvis man kan blive enig med de to forrige forklaringer, vil en del sikkert
stadig mene, at de to friheder angående ændring af programmer virker stort set
overflødige: almindelige mennesker er jo ikke programmører, og de vil derfor
ikke kunne ændre noget lige meget hvad. Disse to friheder handler dog ikke
nødvendigvis om at man skal ændre et program selv. Hvis man ikke kan, men har
brug for, at ændre et program, skal man kunne hyre nogen der har styr på
programmering til at gøre det for en. Frihederne har også et andet, lige så
vigtigt formål: når alle frit kan studere koden bag et program, er
sandsynligheden for at programmet ikke er ondskabsfuldt uendeligt større end
hvis koden ikke var tilgængelig. Hvis der er noget ondskabsfuldt i, kan en
eller anden programmør fjerne det og lave en ny version af programmet. Hvis
programmet ikke virker, kan en eller anden programmør få det til at virke. I
mange tilfælde samarbejder frivillige programmører på tværs af landegrænser i
decentraliserede grupper over internettet, og hvis ikke alle kunne studere
koden, forbedre den og sprede ideer om implementeringer af diverse algoritmer
mm., ville mange af de udbredte frie programmer der bruges i dag ---
OpenOffice.org, fx — ikke eksistere i deres udviklede tilstand. Der er dog også
rigtig meget fri software der udvikles af enkeltpersoner, men også her giver
alle fire friheder mening.

Fri software er godt for samfundet, ligesom ytringsfrihed er godt, og det er
derfor bekymrende at fx Undervisningsministeriet har valgt at alliere sig med
virksomheder der producerer proprietær software. Der er sket meget siden GNU
(GNU's Not Unix, se gnu.org) og FSF (Free Software Foundation, se fsf.org),
henholdsvis et fri software-projekt og en fri software-organisation, begyndte
spredningen af fri software i '80'erne, men fri software er ikke færdigt med at
blive udbredt endnu. I Danmark virker det som om myndighederne ikke har fulgt
helt med udviklingen generelt hvilket bl.a. kom til udtryk ved terminsprøven
hvor vi fik udleveret noget så arkaisk som cd'er (i dag har cd'er lidt samme
status som disketter havde for 5 år siden). En del fra min klasse havde ikke
cd-drev i deres laptops, og de sad ligesom mig og ventede i en god halv time
før en usb-nøgle reddede os. Der er simple, tidsbesparende, snydsikre
alternativer til uddelinger af skiver — man kunne fx sætte et trådløst netværk
op hvor kun oplægget kunne hentes — men dem bruger man ikke. Desværre.

I april er der en digitaliseringskonference i Aarhus. Jeg håber der kommer
noget godt ud af den.


[^nomore]: Det er jeg ikke længere. Jeg blev student i juni.
